onEvent(`recipes`, event => {

	event.recipes.createMechanicalCrafting(`create:creative_motor`, [
		`CCCCC`,
		`CFEWC`, 
		`CFEWC`, 
		`CFEWC`,
		`CFEWC`, 
		`CFEWL`,
		`CSBGR`,
		`CCCCC`
	], {
		W: `create:flywheel`,
		E: `create:furnace_engine`,
		F: `createaddition:furnace_burner`,
		G: `create:gearbox`,
		R: `create:rotation_speed_controller`,
		S: `minecraft:oak_sapling`,
		B: `minecraft:bone_meal`,
		C: `kubejs:creative_casing`,
		W: `create:flywheel`,
		L: `create:large_cogwheel`
	}).id(`kubejs:creative/create_creative_motor`)

	event.recipes.createFilling(`create:creative_blaze_cake`, [
		`create:blaze_cake`,
		Fluid.of(`mekanism:superheated_sodium`, 1000)
	]).id(`kubejs:creative/create_creative_cake`)
	
	event.recipes.createMechanicalCrafting(`losttrinkets:magical_feathers`, [
		`CCCCC`,
		`CSFSC`,
		`CFEFC`,
		`CGFGC`,
		`CCCCC`
	], {
		S: `tconstruct:slime_chestplate`,
		G: `powersuits:glider`,
		E: `mekanism:hdpe_elytra`,
		F: `minecraft:firework_rocket`,
		C: `kubejs:creative_casing`
	}).id(`samtext:creative/trinkets_magical_feathers`)

	
	//event.shapeless('rats:creative_cheese', ['9x rats:block_of_cheese'])
	
	/*
	event.shaped(`minecraft:totem_of_undying`, [
		`EEE`,
		`TPS`,
		`EEE`
	], {
		E: `tetra:pristine_emerald`,
		T: `tconstruct:`,
		P: `tconstruct:`,
		S: `tconstruct:`
	})
	*/


	event.shaped(`kubejs:creative_essence`, [
		`IHS`,
		`MTQ`,
		`LNE`
	], {
		I: `emendatusenigmatica:invar_block`,
		H: `tconstruct:hepatizon_block`,
		S: `emendatusenigmatica:signalum_block`,
		M: `tconstruct:manyullyn_block`,
		T: `minecraft:totem_of_undying`,
		Q: `tconstruct:queens_slime_block`,
		L: `emendatusenigmatica:lumium_block`,
		N: `minecraft:netherite_block`,
		E: `emendatusenigmatica:enderium_block`
	}).id(`samtext:creative/kubejs_creative_essence`)

	event.recipes.createMechanicalCrafting(`kubejs:creative_casing`, [
		`OEEEO`,
		`ENRCE`,
		`EPLDE`,
		`EWIBE`,
		`OEEEO`
	], {
		O: `kubejs:creative_coil`,
		E: `kubejs:creative_essence`,
		N: `minecraft:note_block`,
		R: `minecraft:redstone`,
		C: `minecraft:comparator`,
		P: `minecraft:repeater`,
		L: `minecraft:redstone_lamp`,
		D: `quark:redstone_randomizer`,
		W: `immersiveengineering:wirecoil_redstone`,
		I: `immersiveengineering:connector_redstone`,
		B: `minecraft:redstone_block`
	}).id(`samtext:creative/kubejs_creative_casing`)


	event.recipes.createMechanicalCrafting(`kubejs:creative_battery`, [
		`SOEOS`,
		`ONPTO`,
		`EMICE`,
		`OFUDO`,
		`SOEOS`
	], {
		N: `numina:battery_ultimate`,
		P: `powah:battery_nitro`,
		T: `thermal:flux_capacitor`,
		M: `mininggadgets:upgrade_battery_3`,
		I: `immersiveengineering:capacitor_hv`,
		C: `powah:energy_cell_nitro`,
		F: `thermal:energy_cell`,
		U: `mekanism:ultimate_induction_cell`,
		D: `rftoolspower:dimensionalcell_advanced`,
		E: `kubejs:creative_essence`,
		O: `kubejs:creative_coil`,
		S: `powah:solar_panel_nitro`
	}).id(`samtext:creative/kubejs_creative_battery`)


	event.recipes.createMechanicalCrafting(Item.of('tconstruct:creative_slot', '{slot:"abilities"}'), [
		`CCCCC`,
		`CPEPC`,
		`CESEC`,
		`CPEPC`,
		`CCCCC`
	], {
		C: `kubejs:creative_casing`,
		E: `kubejs:creative_essence`,
		S: `minecraft:nether_star`,
		P: `minecraft:pink_dye`
	}).id(`samtext:creative/tinkers_creative_ability`)

	event.recipes.createMechanicalCrafting(Item.of('tconstruct:creative_slot', '{slot:"defense"}'), [
		`CCCCC`,
		`CLELC`,
		`CEREC`,
		`CLELC`,
		`CCCCC`
	], {
		C: `kubejs:creative_casing`,
		E: `kubejs:creative_essence`,
		R: `mekanismtools:refined_obsidian_chestplate`,
		L: `minecraft:lime_dye`
	}).id(`samtext:creative/tinkers_creative_defense`)

	event.recipes.createMechanicalCrafting(Item.of('tconstruct:creative_slot', '{slot:"souls"}'), [
		`CCCCC`,
		`CGEGC`,
		`CEPEC`,
		`CGEGC`,
		`CCCCC`
	], {
		C: `kubejs:creative_casing`,
		E: `kubejs:creative_essence`,
		P: `tetra:pristine_emerald`,
		G: `minecraft:gray_dye`
	}).id(`samtext:creative/tinkers_creative_soul`)

	event.recipes.createMechanicalCrafting(Item.of('tconstruct:creative_slot', '{slot:"upgrades"}'), [
		`CCCCC`,
		`CGEGC`,
		`CEAEC`,
		`CGEGC`,
		`CCCCC`
	], {
		C: `kubejs:creative_casing`,
		E: `kubejs:creative_essence`,
		A: `minecraft:anvil`,
		G: `minecraft:glass`
	}).id(`samtext:creative/tinkers_creative_upgrade`)


	event.recipes.createMechanicalCrafting(`ironjetpacks:creative_jetpack`,[
		`CCCCC`,
		`CEPEC`,
		`CEJEC`,
		`CT TC`,
		`CCCCC`
	], {
		C: `kubejs:creative_casing`,
		E: `kubejs:creative_essence`,
		P: `ironjetpacks:creative_capacitor`,
		J: `ironjetpacks:emerald_jetpack`,
		T: `ironjetpacks:creative_thruster`
	}).id(`samtext:creative/jetpacks_creative_jetpack`)

	event.recipes.createMechanicalCrafting(`ironjetpacks:creative_capacitor`,[
		`ELE`,
		`ELE`,
		`ELE`
	], {
		E: `kubejs:creative_essence`,
		L: `ironjetpacks:creative_cell`
	}).id(`samtext:creative/jetpacks_creative_capacitor`)

	event.recipes.createMechanicalCrafting(`ironjetpacks:creative_cell`, [
		` E `,
		`ECE`,
		` E `
	], {
		E: `kubejs:creative_essence`,
		C: `kubejs:creative_coil`
	}).id(`samtext/creative/jetpacks_creative_cell`)

	event.recipes.createMechanicalCrafting(`ironjetpacks:creative_thruster`, [
		`ECE`,
		`CLC`,
		`EFE`
	], {
		E: `kubejs:creative_essence`,
		C: `kubejs:creative_coil`,
		L: `ironjetpacks:creative_cell`,
		F: `minecraft:furnace`
	}).id(`samtext:creative/jetpacks_creative_thruster`)

	event.recipes.createMechanicalCrafting(`kubejs:creative_coil`, [
		`EHE`,
		`HTH`,
		`EHE`
	], {
		E: `kubejs:creative_essence`,
		H: `immersiveengineering:coil_hv`,
		T: `createaddition:tesla_coil`
	}).id(`kubejs:creative/kubejs_creative_coil`)
	
})